package com.vendor.loader.ui;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.ImageFactory;
import org.eclipse.jface.viewers.DialogCellEditor;
import org.eclipse.swt.events.KeyListener;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.FileDialog;

public class FileCellEditor extends DialogCellEditor {
  public FileCellEditor(Composite parent) {
    super(parent);
  }
  
  public FileCellEditor(Composite parent, int style) {
    super(parent, style);
  }
  
  protected Button createButton(Composite parent) {
    Button result = new Button(parent, 1024);
    result.setImage(ImageFactory.getImage("/icons/selfile.ico"));
    result.addKeyListener((KeyListener)new Object(this));
    return result;
  }
  
  protected Object openDialogBox(Control cellEditorWindow) {
    FileDialog dialog = new FileDialog(cellEditorWindow.getShell());
    String path = dialog.open();
    if (path != null)
      path = path.replaceAll("\\\\", "/"); 
    return path;
  }
  
  protected void updateContents(Object value) {
    if (value != null) {
      String text = value.toString();
      getDefaultLabel().setToolTipText(text);
      getDefaultLabel().setText(text);
      getDefaultLabel().update();
    } 
  }
}
